<template>
  <div>
    <div class="crumbs">
      <el-breadcrumb separator="/">
        <el-breadcrumb-item>服务力明细</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <!-- <el-card shadow="hover"> -->
    <el-tabs type="border-card">
      <el-tab-pane label="工单明细">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery1">
          <el-form-item label="城市">
            <el-select v-model="listQuery1.city" clearable placeholder="请选择城市" @change="cityChange(1)" multiple filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery1.serviceStation" clearable placeholder="请选择服务站" filterable>
              <el-option v-for="(item,index) in stationList1" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务者">
            <el-input v-model="listQuery1.serverName" placeholder clearable></el-input>
          </el-form-item>
          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery1.createTime" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd" :picker-options="pickerOptions"></el-date-picker>
          </el-form-item>
          <el-form-item label="渠道">
            <el-select v-model="listQuery1.sourceType" placeholder="请输入渠道类型" clearable>
              <el-option v-for ="(item,index) in sourceTypeList" :key="index" :label="item.label" :value="item.value"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch1">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility1" v-per="'downloadServiceAbility1'">导出</el-button>
          </el-form-item>
        </el-form>
        <div style="color:red;font-size: 12px;">工单价格：只折算后的价格 如一个320元2次卡 本次服务工单价格是160</div>

        <!-- 列表数据 -->
        <el-table :data="listData1" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="预约日期" label="预约日期"></el-table-column>
          <el-table-column prop="购买门店" label="购买门店"></el-table-column>
          <el-table-column prop="订单编号" label="订单编号"></el-table-column>
          <el-table-column prop="服务订单号" label="服务订单号"></el-table-column>
          <el-table-column prop="作业单号" label="作业单号"></el-table-column>
          <el-table-column prop="工单价格" label="工单价格"></el-table-column>
          <el-table-column prop="工单渠道" label="工单渠道"></el-table-column>
          <el-table-column prop="分配策略" label="分配策略" width="100"></el-table-column>
          <el-table-column prop="一级分类" label="一级分类"></el-table-column>
          <el-table-column prop="二级分类" label="二级分类"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID"></el-table-column>
          <el-table-column prop="服务者" label="服务者"></el-table-column>
          <el-table-column prop="城市" label="城市"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="计提金额" label="计提金额"></el-table-column>
          <el-table-column prop="状态" label="状态"></el-table-column>
          <el-table-column prop="是否计提" label="是否计提">
            <template slot-scope="scope">
              <span v-if="scope.row['是否计提']==1">是</span>
              <span v-if="scope.row['是否计提']==0">否</span>
            </template>
          </el-table-column>
          <el-table-column prop="创建日期" label="创建日期"></el-table-column>
          <el-table-column prop="工单用途" label="工单用途"></el-table-column>
          <el-table-column prop="关联单据" label="关联单据"></el-table-column>
          <el-table-column prop="用途描述" label="用途描述"></el-table-column>
          <el-table-column prop="是否验收" label="是否验收"></el-table-column>
          <el-table-column prop="评价类别" label="评价类别"></el-table-column>

          <!-- <el-table-column prop="关键字" label="关键字"></el-table-column>
          <el-table-column prop="商品次数" label="商品次数"></el-table-column>
          <el-table-column prop="开始时间" label="开始时间"></el-table-column>
          <el-table-column prop="结束时间" label="结束时间"></el-table-column>
          <el-table-column prop="订单提成" label="订单提成"></el-table-column> -->
        </el-table>

        <!-- 分页 -->
        <pagination :total="total1" :page.sync="currentPage1" :limit.sync="pageSize1" @pagination="querySearch1" />
      </el-tab-pane>
      <el-tab-pane label="工单汇总">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery2">
          <el-form-item label="城市">
            <el-select v-model="listQuery2.city" clearable placeholder="请选择城市" @change="cityChange(2)" multiple  filterable>
              <el-option v-for="(item,index) in hmCityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery2.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList2" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>

          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery2.createTime" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd" :picker-options="pickerOptions"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch2">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility2" v-per="'downloadServiceAbility2'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData2" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="总单量" label="总单量"></el-table-column>
          <el-table-column prop="总时长" label="总时长"></el-table-column>
          <el-table-column prop="鲸选单量" label="鲸选单量"></el-table-column>
          <el-table-column prop="出勤人数" label="出勤人数"></el-table-column>
          <el-table-column prop="出勤人次" label="出勤人次"></el-table-column>
          <el-table-column prop="请假人次" label="请假人次"></el-table-column>
          <el-table-column prop="日期" label="日期"></el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total2" :page.sync="currentPage2" :limit.sync="pageSize2" @pagination="querySearch2" />
      </el-tab-pane>

      <el-tab-pane label="商家信息">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery3">
          <el-form-item label="城市">
            <el-select v-model="listQuery3.city" clearable placeholder="请选择城市" @change="cityChange(3)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery3.serviceStation" clearable placeholder="请选择服务站"  filterable>
              <el-option v-for="(item,index) in stationList3" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>

          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery3.createTime" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd" :picker-options="pickerOptions"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch3">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility3" v-per="'downloadServiceAbility3'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData3" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID" width="80px" fixed="left"></el-table-column>
          <el-table-column prop="姓名" label="姓名"></el-table-column>
          <el-table-column prop="城市" label="城市"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="上线日期" label="上线日期"></el-table-column>
          <el-table-column prop="解约日期" label="解约日期"></el-table-column>
          <el-table-column prop="休息日" label="休息日"></el-table-column>
          <el-table-column prop="师傅资质" label="师傅资质"></el-table-column>
          <el-table-column prop="性别" label="性别"></el-table-column>
          <el-table-column prop="来源类型" label="来源类型"></el-table-column>
          <el-table-column prop="来源" label="来源"></el-table-column>
          <el-table-column prop="来源id" label="来源id"></el-table-column>
          <el-table-column prop="推荐人" label="推荐人"></el-table-column>
          <el-table-column prop="健康证始" label="健康证始"></el-table-column>
          <el-table-column prop="健康证至" label="健康证至"></el-table-column>

          <!-- <el-table-column prop="区分" label="区分"></el-table-column>
          <el-table-column prop="健康证有效期" label="健康证有效期">
            <template slot-scope="scope">
              <span>{{scope.row['健康证始']+'至'+scope.row['健康证至']}}</span>
            </template>
          </el-table-column> -->
        </el-table>

        <!-- 分页 -->
        <pagination :total="total3" :page.sync="currentPage3" :limit.sync="pageSize3" @pagination="querySearch3" />
      </el-tab-pane>

      <el-tab-pane label="服务站当月人员汇总">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery4">
          <el-form-item label="城市">
            <el-select v-model="listQuery4.city" clearable placeholder="请选择城市" @change="cityChange(4)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery4.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList4" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>

          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery4.createTime" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd" :picker-options="pickerOptions"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch4">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility4" v-per="'downloadServiceAbility4'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData4" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站"></el-table-column>
          <el-table-column prop="服务站" label="服务站"></el-table-column>
          <el-table-column prop="净新增" label="净新增"></el-table-column>
          <el-table-column prop="解约" label="解约"></el-table-column>
          <!-- <el-table-column prop="非休息日" label="非休息日"></el-table-column> -->
          <el-table-column prop="入职" label="入职"></el-table-column>
          <el-table-column prop="转介绍人数" label="转介绍人数"></el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total4" :page.sync="currentPage4" :limit.sync="pageSize4" @pagination="querySearch4" />
      </el-tab-pane>
      <el-tab-pane label="住宿费">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery5">
          <el-form-item label="城市">
            <el-select v-model="listQuery5.city" clearable placeholder="请选择城市" @change="cityChange(5)" multiple filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery5.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList5" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务者姓名">
            <el-input v-model="listQuery5.workerName" placeholder="请输入服务者姓名" clearable></el-input>
          </el-form-item>
          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery5.createTime" type="monthrange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM" :picker-options="pickerOptions1"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch5">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility5" v-per="'downloadServiceAbility5'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData5" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="姓名" label="姓名"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID"></el-table-column>
          <el-table-column prop="性别" label="性别"></el-table-column>
          <el-table-column prop="状态" label="状态"></el-table-column>
          <el-table-column prop="租房ID" label="租房ID"></el-table-column>
          <el-table-column prop="地址" label="地址" width="200px"></el-table-column>
          <el-table-column prop="月份" label="月份"></el-table-column>
          <el-table-column prop="月租" label="月租"></el-table-column>
          <el-table-column prop="住宿费" label="住宿费"></el-table-column>
          <el-table-column prop="住宿天数" label="住宿天数"></el-table-column>
          <el-table-column prop="入住日期" label="入住日期"></el-table-column>
          <el-table-column prop="离宿日期" label="离宿日期"></el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total5" :page.sync="currentPage5" :limit.sync="pageSize5" @pagination="querySearch5" />
      </el-tab-pane>
      <el-tab-pane label="宿舍长补贴">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery6">
          <el-form-item label="城市">
            <el-select v-model="listQuery6.city" clearable placeholder="请选择城市" @change="cityChange(6)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery6.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList6" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务者姓名">
            <el-input v-model="listQuery6.workerName" placeholder="请输入服务者姓名" clearable></el-input>
          </el-form-item>
          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery6.createTime" type="monthrange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM" :picker-options="pickerOptions1"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch6">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility6" v-per="'downloadServiceAbility6'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData6" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="姓名" label="姓名"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID"></el-table-column>
          <el-table-column prop="宿舍容量" label="宿舍容量"></el-table-column>
          <el-table-column prop="宿舍月租" label="宿舍月租"></el-table-column>
          <el-table-column prop="标准人次" label="标准人次"></el-table-column>
          <el-table-column prop="入住人次" label="入住人次"></el-table-column>
          <el-table-column prop="空床位数" label="空床位数"></el-table-column>
          <el-table-column prop="租房ID" label="租房ID"></el-table-column>
          <el-table-column prop="补贴金额" label="补贴金额"></el-table-column>

          <el-table-column prop="月份" label="月份"></el-table-column>
          <el-table-column prop="状态" label="是否宿舍长" width="100px">
            <template slot-scope="scope">
              <span v-if="scope.row['状态']==1">是</span>
              <span v-if="scope.row['状态']==0">否</span>
            </template>
          </el-table-column>
          <el-table-column prop="入住日期" label="入住日期"></el-table-column>
          <el-table-column prop="上任日期" label="上任日期"></el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total6" :page.sync="currentPage6" :limit.sync="pageSize6" @pagination="querySearch6" />
      </el-tab-pane>
      <el-tab-pane label="师傅奖">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery7">
          <el-form-item label="城市">
            <el-select v-model="listQuery7.city" clearable placeholder="请选择城市" @change="cityChange(7)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery7.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList7" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务者姓名">
            <el-input v-model="listQuery7.workerName" placeholder="请输入服务者姓名" clearable></el-input>
          </el-form-item>
          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery7.createTime" type="monthrange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM" :picker-options="pickerOptions1"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch7">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility7" v-per="'downloadServiceAbility7'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData7" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站" width="160px"></el-table-column>
          <el-table-column prop="姓名" label="姓名"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID"></el-table-column>
          <el-table-column prop="师傅姓名" label="师傅姓名"></el-table-column>
          <el-table-column prop="师傅ID" label="师傅ID"></el-table-column>
          <el-table-column prop="师傅服务站" label="师傅服务站" width="160px"></el-table-column>
          <el-table-column prop="师傅城市" label="师傅城市"></el-table-column>
          <el-table-column prop="上线日期" label="上线日期"></el-table-column>
          <el-table-column prop="补贴金额" label="补贴金额"></el-table-column>
          <el-table-column prop="关系解除" label="关系解除"></el-table-column>
          <el-table-column prop="解约日期" label="解约日期"></el-table-column>

          <el-table-column prop="月份" label="月份"></el-table-column>
          <el-table-column prop="有效期" label="有效期" width="180px">
            <template slot-scope="scope">
              <span>{{scope.row['有效期始']+' 至 '+scope.row['有效期止']}}</span>
            </template>
          </el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total7" :page.sync="currentPage7" :limit.sync="pageSize7" @pagination="querySearch7" />
      </el-tab-pane>
      <el-tab-pane label="跟单费">
        <!-- 搜索 -->
        <el-form :inline="true" size="small" v-model="listQuery8">
          <el-form-item label="城市">
            <el-select v-model="listQuery8.city" clearable placeholder="请选择城市" @change="cityChange(8)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery8.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList8" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务者姓名">
            <el-input v-model="listQuery8.workerName" placeholder="请输入服务者姓名" clearable></el-input>
          </el-form-item>
          <el-form-item label="时间段">
            <el-date-picker v-model="listQuery8.createTime" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd" :picker-options="pickerOptions"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch8">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="downloadServiceAbility8" v-per="'downloadServiceAbility8'">导出</el-button>
          </el-form-item>
        </el-form>

        <!-- 列表数据 -->
        <el-table :data="listData8" border style="width: 100%" class="table">
          <el-table-column prop="index" label="序号" type="index" width="50px" fixed="left"></el-table-column>
          <el-table-column prop="城市" label="城市" width="100px" fixed="left"></el-table-column>
          <el-table-column prop="驿站" label="驿站" width="160px"></el-table-column>
          <el-table-column prop="服务站" label="服务站"></el-table-column>
          <el-table-column prop="商家ID" label="商家ID"></el-table-column>
          <el-table-column prop="姓名" label="姓名"></el-table-column>
          <el-table-column prop="师傅姓名" label="师傅姓名"></el-table-column>
          <el-table-column prop="跟单师傅ID" label="跟单师傅ID"></el-table-column>
          <el-table-column prop="申请日期" label="申请日期"></el-table-column>
          <el-table-column prop="首次跟单" label="首次跟单"></el-table-column>
          <el-table-column prop="跟单数" label="跟单数"></el-table-column>
          <el-table-column prop="补贴金额" label="补贴金额"></el-table-column>
          <el-table-column prop="评价日期" label="评价日期"></el-table-column>
        </el-table>

        <!-- 分页 -->
        <pagination :total="total8" :page.sync="currentPage8" :limit.sync="pageSize8" @pagination="querySearch8" />
      </el-tab-pane>
      <el-tab-pane label="站长工单计提">
         <!-- 搜索 -->
         <el-form :inline="true" size="small" v-model="listQuery9">
          <el-form-item label="城市">
            <el-select v-model="listQuery9.city" clearable placeholder="请选择城市" @change="cityChange(9)" multiple  filterable>
              <el-option v-for="(item,index) in cityList" :key="index" :label="item" :value="item"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="服务站">
            <el-select v-model="listQuery9.serviceStation" clearable placeholder="请选择服务站">
              <el-option v-for="(item,index) in stationList9" :key="index" :label="item.station_name" :value="item.station_name"></el-option>
            </el-select>
          </el-form-item>

          <el-form-item label="月份">
            <el-date-picker v-model="listQuery9.beginMonth"  type="month" value-format="yyyy-MM"  :picker-options="{}"></el-date-picker>
          </el-form-item>
          <el-form-item>
            <el-button icon="el-icon-search" type="primary" plan @click="querySearch9(false)">查询</el-button>
            <el-button type="primary" icon="el-icon-download" @click="querySearch9(true)" v-per="'downloadServiceAbility3'">导出</el-button>
          </el-form-item>
        </el-form>
      </el-tab-pane>
    </el-tabs>

    <!-- </el-card> -->
  </div>
</template>
<script>
import moment from "moment";
import Pagination from "./common/Pagination";
import url from "@/script/baseUrl.js";
import userAuthDataApi from "@/script/api/userAuthData.js";
import Service from "../script/api/service";
import globalData from "@/components/common/globaldata/global.data.vue";
// import addTrainHisDia from './components/addTrainHisDia';
export default {
  components: { Pagination },
  data() {
    return {
      exportServiceAbilityUrl1:
        url.exportUrl +
        "/reportservice/report/servicePowerTicketDetailExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl2:
        url.exportUrl +
        "/reportservice/report/servicePowerTicketInfoExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl3:
        url.exportUrl +
        "/reportservice/report/servicePowerServerInfoExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl4:
        url.exportUrl +
        "/reportservice/report/servicePowerStationPersonInfoExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl5:
        url.exportUrl +
        "/reportservice/report/servicePowerRentFeeExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl6:
        url.exportUrl +
        "/reportservice/report/servicePowerWornSubsidiesExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl7:
        url.exportUrl +
        "/reportservice/report/servicePowerTeacherRewardExport?token=" +
        window.localStorage.getItem("token"),
      exportServiceAbilityUrl8:
        url.exportUrl +
        "/reportservice/report/servicePowerOrderRewardExport?token=" +
        window.localStorage.getItem("token"),
      activeTab: "1",
      cityList: [],
      cityListV2: [],
      hmCityList: [],
      stationList1: [],
      stationList2: [],
      stationList3: [],
      stationList4: [],
      stationList5: [],
      stationList6: [],
      stationList7: [],
      stationList8: [],
      stationList9: [],
      allStationList: [],
      allHmStationList: [],
      listData1: [],
      total1: 0,
      pageSize1: 50,
      currentPage1: 1, //当前页
      listQuery1: {
        city: [],
        serviceStation: "",
        serverName: "",
        timePart: [],
        sourceType: "",
      },
      listData2: [],
      total2: 0,
      pageSize2: 50,
      currentPage2: 1, //当前页
      listQuery2: {
        city: [],
        serviceStation: "",
        timePart: [],
      },
      listData3: [],
      total3: 0,
      pageSize3: 50,
      currentPage3: 1, //当前页
      listQuery3: {
        city: [],
        serviceStation: "",
        timePart: [],
      },
      listData4: [],
      total4: 0,
      pageSize4: 50,
      currentPage4: 1, //当前页
      listQuery4: {
        city: [],
        serviceStation: "",
        timePart: [],
      },
      listData5: [],
      total5: 0,
      pageSize5: 50,
      currentPage5: 1, //当前页
      listQuery5: {
        city: [],
        serviceStation: "",
        workerName: "",
        timePart: [],
      },
      listData6: [],
      total6: 0,
      pageSize6: 50,
      currentPage6: 1, //当前页
      listQuery6: {
        city: [],
        serviceStation: "",
        workerName: "",
        timePart: [],
      },
      listData7: [],
      total7: 0,
      pageSize7: 50,
      currentPage7: 1, //当前页
      listQuery7: {
        city: [],
        serviceStation: "",
        workerName: "",
        timePart: [],
      },
      listData8: [],
      total8: 0,
      pageSize8: 50,
      currentPage8: 1, //当前页
      listQuery8: {
        city: [],
        serviceStation: "",
        workerName: "",
        timePart: [],
      },
      listData9: [],
      total9: 0,
      pageSize9: 50,
      currentPage9: 1, //当前页
      listQuery9: {
        city: [],
        serviceStation: "",
        beginMonth: ""
      },
      sourceTypeList:[{
        "label": "A2牛奶",
        "value": "A2牛奶",
      },{
        "label": "万科",
        "value": "万科",
      },{
        "label": "上汽员工",
        "value": "上汽员工",
      },{
        "label": "东方福利网",
        "value": "东方福利网",
      },{
        "label": "同城",
        "value": "同城",
      },{
        "label": "商城",
        "value": "商城",
      },{
        "label": "快团团",
        "value": "快团团",
      },{
        "label": "抖音",
        "value": "抖音",
      },{
        "label": "招商",
        "value": "招商",
      },{
        "label": "欧飞",
        "value": "欧飞",
      },{
        "label": "浦东银行",
        "value": "浦东银行",
      },{
        "label": "盒马",
        "value": "盒马",
      },{
        "label": "私域",
        "value": "私域",
      },{
        "label": "鲸致商城",
        "value": "鲸致商城",
      },{
        "label": "美团",
        "value": "美团",
      },{
        "label": "快手",
        "value": "快手",
      }],
      pickerOptions: {
        shortcuts: [
          {
            text: "最近一周",
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
              picker.$emit("pick", [start, end]);
            },
          },
          {
            text: "最近半个月",
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 15);
              picker.$emit("pick", [start, end]);
            },
          },
          {
            text: "最近一月",
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
              picker.$emit("pick", [start, end]);
            },
          },
        ],
      },
      pickerOptions1: {
        shortcuts: [
          {
            text: "今年至今",
            onClick(picker) {
              const end = new Date();
              const start = new Date(new Date().getFullYear(), 0);
              picker.$emit("pick", [start, end]);
            },
          },
          {
            text: "最近六个月",
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setMonth(start.getMonth() - 6);
              picker.$emit("pick", [start, end]);
            },
          },
          {
            text: "最近一年",
            onClick(picker) {
              const end = new Date();
              const start = new Date();
              start.setMonth(start.getMonth() - 12);
              picker.$emit("pick", [start, end]);
            },
          },
        ],
      },
    };
  },
  mounted() {
    let currentTime = new Date().getTime();
    let currentDate = this.formateDay(
      new Date(currentTime - 3600 * 1000 * 24 * 1)
    );
    let startDate = this.formateDay(
      new Date(currentTime - 3600 * 1000 * 24 * 30)
    );
    //   let beginMonth = this.formateMonth(
    //   new Date(currentTime - 3600 * 1000 * 24 * 60)
    // );
    let beginMonth = this.formateMonth(new Date());
    let endMonth = this.formateMonth(new Date());

    this.$set(this.listQuery1, "createTime", [startDate, currentDate]);
    this.$set(this.listQuery2, "createTime", [startDate, currentDate]);
    this.$set(this.listQuery3, "createTime", [startDate, currentDate]);
    this.$set(this.listQuery4, "createTime", [startDate, currentDate]);
    this.$set(this.listQuery5, "createTime", [beginMonth, endMonth]);
    this.$set(this.listQuery6, "createTime", [beginMonth, endMonth]);
    this.$set(this.listQuery7, "createTime", [beginMonth, endMonth]);
    this.$set(this.listQuery8, "createTime", [startDate, currentDate]);
    this.$set(this.listQuery9, "beginMonth", beginMonth);
     this.getUserAuthData();
    //this.cityList = JSON.parse(window.localStorage.getItem("allSelfCity"));

    this.hmCityList = JSON.parse(window.localStorage.getItem("allHmCity"));
    // this.listQuery1.city =this.hmCityList[0];
    // this.listQuery2.city =this.hmCityList[0];
    // this.listQuery3.city = this.cityList[0];
    // this.listQuery4.city = this.cityList[0];
    // this.listQuery5.city = this.cityList[0];
    // this.listQuery6.city = this.cityList[0];
    // this.listQuery7.city = this.cityList[0];
    // this.listQuery8.city = this.cityList[0];

    this.allStationList = JSON.parse(
      window.localStorage.getItem("allSelfStation")
    );
    this.stationList3 = this.allStationList;
    this.stationList4 = this.allStationList;
    this.stationList5 = this.allStationList;
    this.stationList6 = this.allStationList;
    this.stationList7 = this.allStationList;
    this.stationList8 = this.allStationList;
    this.stationList9 = this.allStationList;
    let allHmStation = JSON.parse(window.localStorage.getItem("allHmStation"));
    let allList = [];
    let allShop = [];
    allHmStation.forEach((item) => {
      let list = item.station_names.split(",");
      allList = allList.concat(list);
      if (item.shop_names != null) {
        let shoplist = item.shop_names.split(",");
        allShop = allShop.concat(shoplist);
      }
    });
    this.allHmStationList = allList;
    this.stationList1 = this.allHmStationList;
    this.stationList2 = this.allHmStationList;
    // this.allStationList = JSON.parse(window.localStorage.getItem("allSelfStation"));
    // this.allHmStationList = JSON.parse(window.localStorage.getItem("allHmStation"));

    //  this.cityChange1(this.listQuery1.city);
    //  this.cityChange2(this.listQuery2.city);
    //  this.cityChange3(this.listQuery3.city);
    //  this.cityChange4(this.listQuery4.city);
    //  this.cityChange5(this.listQuery5.city);
    //  this.cityChange6(this.listQuery6.city);
    //  this.cityChange7(this.listQuery7.city);
    //  this.cityChange8(this.listQuery8.city);

    //this.querySearch1();
    // this.querySearch2();
    // this.querySearch3();
    // this.querySearch4();
    // this.querySearch5();
    // this.querySearch6();
    // this.querySearch7();
    // this.querySearch8();
  },
  methods: {
    getUserAuthData() {
      userAuthDataApi.$ajaxGetUserAuthData().then(res => {
        if (res.data.errno == 0) {
          this.cityList=[];
           res.data.data.city.forEach(item=>{
            this.cityList.push(item.cityName.replace("市",""));
           });
        }
      });
    },
    cityChange(index){
      let value=this["listQuery"+index].city;
      //console.info(value.includes('上海'));

      this["listQuery"+index].serviceStation = "";
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this['stationList'+index] = currentStation;
      }

    },
    cityChange1(value) {
      console.info(value)
      this.listQuery1.serviceStation = "";
      // let currentStation = this.allHmStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList1 = currentStation[0].station_names.split(',');
      let allHmStation = JSON.parse(
        window.localStorage.getItem("allHmStation")
      );
      if (value.length == 0) {
        this.stationList = this.allHmStationList;
      } else {
        let currentStation = allHmStation.filter((item) => {
          return value.includes(item.city);
        });
        let allList = [];
        currentStation.forEach((item) => {
          let list = item.station_names.split(",");
          allList = allList.concat(list);
        });
        this.stationList1 = allList;
      }
    },
    cityChange2(value) {
      this.listQuery2.serviceStation = "";
      let allHmStation = JSON.parse(
        window.localStorage.getItem("allHmStation")
      );
      if (value.length == 0) {
        this.stationList = this.allHmStationList;
      } else {
        let currentStation = allHmStation.filter((item) => {
          return value.includes(item.city);
        });
        let allList = [];
        currentStation.forEach((item) => {
          let list = item.station_names.split(",");
          allList = allList.concat(list);
        });
        this.stationList2 = allList;
      }
    },
    cityChange3(value) {
      this.listQuery3.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList3 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList3 = currentStation;
      }
    },
    cityChange4(value) {
      this.listQuery4.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList4 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList4 = currentStation;
      }
    },
    cityChange5(value) {
      this.listQuery5.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList5 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList5 = currentStation;
      }
    },
    cityChange6(value) {
      this.listQuery6.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList6 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList6 = currentStation;
      }
    },
    cityChange7(value) {
      this.listQuery7.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList7 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList7 = currentStation;
      }
    },
    cityChange8(value) {
      this.listQuery8.serviceStation = "";
      // let currentStation = this.allStationList.filter(item => {
      //   return item.city == value;
      // });
      // this.stationList8 = currentStation;
      if (value.length == 0) {
        this.stationList = this.allStationList;
      } else {
        let currentStation = this.allStationList.filter((item) => {
          return value.includes(item.city);
        });
        this.stationList8 = currentStation;
      }
    },
    //查询
    dateChange(e) {
      if (e != null) {
        let start = new Date(e[0]).getTime();
        let end = new Date(e[1]).getTime();
        let isOvertime = end - start - 3600 * 1000 * 24 * 30 > 0;
        if (isOvertime) {
          // this.$message.warning("选中时间范围不能超过一个月");
          // this.listQuery1.createTime = null;
        }
      }
    },
    querySearch1() {
      if (this.isEmptyObjVue(this.listQuery1.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage1,
        limit: this.pageSize1,
        city: this.listQuery1.city.join(","),
        serviceStation: this.listQuery1.serviceStation,
        serverName: this.listQuery1.serverName,
        startTime: this.listQuery1.createTime[0],
        endTime: this.listQuery1.createTime[1],
        sourceType: this.listQuery1.sourceType,
      };

      Service.$axiosServicePowerTicketDetail(temp)
        .then((res) => {
          // console.log(res);
          this.listData1 = res.data.data.list;
          this.total1 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch2() {
      if (this.isEmptyObjVue(this.listQuery2.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage2,
        limit: this.pageSize2,
        city: this.listQuery2.city.join(","),
        serviceStation: this.listQuery2.serviceStation,
        startTime: this.listQuery2.createTime[0],
        endTime: this.listQuery2.createTime[1],
      };

      Service.$axiosServicePowerTicketInfo(temp)
        .then((res) => {
          // console.log(res);
          this.listData2 = res.data.data.list;
          this.total2 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch3() {
      if (this.isEmptyObjVue(this.listQuery3.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage3,
        limit: this.pageSize3,
        city: this.listQuery3.city.join(","),
        serviceStation: this.listQuery3.serviceStation,
        startTime: this.listQuery3.createTime[0],
        endTime: this.listQuery3.createTime[1],
      };

      Service.$axiosServicePowerServerInfo(temp)
        .then((res) => {
          // console.log(res);
          this.listData3 = res.data.data.list;
          this.total3 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch4() {
      if (this.isEmptyObjVue(this.listQuery4.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage4,
        limit: this.pageSize4,
        city: this.listQuery4.city.join(","),
        serviceStation: this.listQuery4.serviceStation,
        startTime: this.listQuery4.createTime[0],
        endTime: this.listQuery4.createTime[1],
      };

      Service.$axiosServicePowerStationPersonInfo(temp)
        .then((res) => {
          // console.log(res);
          this.listData4 = res.data.data.list;
          this.total4 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch5() {
      if (this.isEmptyObjVue(this.listQuery5.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage5,
        limit: this.pageSize5,
        city: this.listQuery5.city.join(","),
        serviceStation: this.listQuery5.serviceStation,
        workerName: this.listQuery5.workerName,
        startTime: this.listQuery5.createTime[0],
        endTime: this.listQuery5.createTime[1],
      };

      Service.$axiosServicePowerRentFee(temp)
        .then((res) => {
          // console.log(res);
          this.listData5 = res.data.data.list;
          this.total5 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch6() {
      if (this.isEmptyObjVue(this.listQuery6.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage6,
        limit: this.pageSize6,
        city: this.listQuery6.city.join(","),
        serviceStation: this.listQuery6.serviceStation,
        workerName: this.listQuery6.workerName,
        startTime: this.listQuery6.createTime[0],
        endTime: this.listQuery6.createTime[1],
      };

      Service.$axiosServicePowerWornSubsidies(temp)
        .then((res) => {
          // console.log(res);
          this.listData6 = res.data.data.list;
          this.total6 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch7() {
      if (this.isEmptyObjVue(this.listQuery7.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage7,
        limit: this.pageSize7,
        city: this.listQuery7.city.join(","),
        serviceStation: this.listQuery7.serviceStation,
        startTime: this.listQuery7.createTime[0],
        workerName: this.listQuery7.workerName,
        endTime: this.listQuery7.createTime[1],
      };

      Service.$axiosServicePowerTeacherReward(temp)
        .then((res) => {
          // console.log(res);
          this.listData7 = res.data.data.list;
          this.total7 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch8() {
      if (this.isEmptyObjVue(this.listQuery8.createTime)) {
        this.$message.warning("请选择日期");
        return false;
      }
      let temp = {
        startPage: this.currentPage8,
        limit: this.pageSize8,
        city: this.listQuery8.city.join(","),
        serviceStation: this.listQuery8.serviceStation,
        workerName: this.listQuery8.workerName,
        startTime: this.listQuery8.createTime[0],
        endTime: this.listQuery8.createTime[1],
      };

      Service.$axiosServicePowerOrderReward(temp)
        .then((res) => {
          // console.log(res);
          this.listData8 = res.data.data.list;
          this.total8 = res.data.data.total;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    querySearch9(isExport){//站长工单计提

    },
    downloadServiceAbility1() {
      if (this.isEmptyObjVue(this.listQuery1.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery1.city.join(",")}&serviceStation=${
        this.listQuery1.serviceStation
      }&serverName=${this.listQuery1.serverName}&startTime=${
        this.listQuery1.createTime[0]
      }&endTime=${this.listQuery1.createTime[1]}&sourceType=${this.listQuery1.sourceType}`;
      window.open(this.exportServiceAbilityUrl1 + params);
    },
    downloadServiceAbility2() {
      if (this.isEmptyObjVue(this.listQuery2.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery2.city.join(",")}&serviceStation=${
        this.listQuery2.serviceStation
      }&startTime=${this.listQuery2.createTime[0]}&endTime=${
        this.listQuery2.createTime[1]
      }`;
      window.open(this.exportServiceAbilityUrl2 + params);
    },
    downloadServiceAbility3() {
      if (this.isEmptyObjVue(this.listQuery3.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery3.city.join(",")}&serviceStation=${
        this.listQuery3.serviceStation
      }&startTime=${this.listQuery3.createTime[0]}&endTime=${
        this.listQuery3.createTime[1]
      }`;
      window.open(this.exportServiceAbilityUrl3 + params);
    },
    downloadServiceAbility4() {
      if (this.isEmptyObjVue(this.listQuery4.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery4.city.join(",")}&serviceStation=${
        this.listQuery4.serviceStation
      }&startTime=${this.listQuery4.createTime[0]}&endTime=${
        this.listQuery4.createTime[1]
      }`;
      window.open(this.exportServiceAbilityUrl4 + params);
    },
    downloadServiceAbility5() {
      if (this.isEmptyObjVue(this.listQuery5.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery5.city.join(",")}&serviceStation=${
        this.listQuery5.serviceStation
      }&workerName=${this.listQuery5.workerName}&startTime=${
        this.listQuery5.createTime[0]
      }&endTime=${this.listQuery5.createTime[1]}`;
      window.open(this.exportServiceAbilityUrl5 + params);
    },
    downloadServiceAbility6() {
      if (this.isEmptyObjVue(this.listQuery6.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery6.city.join(",")}&serviceStation=${
        this.listQuery6.serviceStation
      }&workerName=${this.listQuery6.workerName}&startTime=${
        this.listQuery6.createTime[0]
      }&endTime=${this.listQuery6.createTime[1]}`;
      window.open(this.exportServiceAbilityUrl6 + params);
    },
    downloadServiceAbility7() {
      if (this.isEmptyObjVue(this.listQuery7.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery7.city.join(",")}&serviceStation=${
        this.listQuery7.serviceStation
      }&workerName=${this.listQuery7.workerName}&startTime=${
        this.listQuery7.createTime[0]
      }&endTime=${this.listQuery7.createTime[1]}`;
      window.open(this.exportServiceAbilityUrl7 + params);
    },
    downloadServiceAbility8() {
      if (this.isEmptyObjVue(this.listQuery8.createTime)) {
        this.$message.warning("日期不能为空,请选择日期");
        return false;
      }
      let params = `&city=${this.listQuery8.city.join(",")}&serviceStation=${
        this.listQuery8.serviceStation
      }&workerName=${this.listQuery8.workerName}&startTime=${
        this.listQuery8.createTime[0]
      }&endTime=${this.listQuery8.createTime[1]}`;
      window.open(this.exportServiceAbilityUrl8 + params);
    },
  },
};
</script>
<style>
.crumbs {
  margin: 0 0 10px 0;
}
</style>
